%define	upstream_name	 File-NFSLock
%define	upstream_version 1.21

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    %{upstream_name} module for perl
License:    GPL
Group:      Development/Perl
Url:        http://search.cpan.org/~bbb/%{upstream_name}
Source0:    http://search.cpan.org/CPAN/authors/id/B/BB/BBB/%{upstream_name}-%{upstream_version}.tar.gz

BuildArch:  noarch

%description
%{upstream_name} perl module

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
perl Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT 

%files
%doc Changes META.yml README examples
%{perl_vendorlib}/File/NFSLock.pm
%{_mandir}/man3/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 1.210.0-2.mga3
+ Revision: 367273
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + jquelin <jquelin>
    - update to 1.21

* Fri Jan 21 2011 jquelin <jquelin> 1.200.0-1.mga1
+ Revision: 29188
- no meta.yml
- mageia rebuild
- imported package perl-File-NFSLock

